package cn.kdan.pdf.tech.core.utils;

import cn.kdan.pdf.tech.core.service.SyncService;
import org.quartz.Job;
import org.quartz.JobDataMap;
import org.quartz.JobExecutionContext;
import org.springframework.context.ApplicationContext;
import org.springframework.context.ApplicationContextAware;
import org.springframework.stereotype.Component;

@Component
public class SyncJob implements Job, ApplicationContextAware {

    private SyncService syncService;

    @Override
    public void setApplicationContext(ApplicationContext applicationContext) {
        syncService = applicationContext.getBean(SyncService.class);
    }

    @Override
    public void execute(JobExecutionContext jobExecutionContext) {
        JobDataMap dataMap = jobExecutionContext.getJobDetail().getJobDataMap();
        String directoryId = dataMap.getString("directoryId");
        syncService.startSync(directoryId);
    }
}
